Rolodex
/- Finds all conflicting fields for contacts
Creates a new contact record that does not already exist.
Execute Batch Operations
Checks whether a contact can manage another
Returns the contact related to the currently logged in user
Creates a new contact and links it to the currently logged in user
Get contacts (and descendants recursively) for an organization
Returns a list of records with the specified email_address
Returns a list of records with the specified email_address2
Returns a list of records with the specified email_address3
Finds all conflicting fields for contacts
Returns a single contact by number
Finds contacts for an organization
Returns the contact related to the currently logged in user
Initiates a workflow to create a new contact and try to link them to an existing organization
Gets a contact by an email address
Sends an authorization email then links the current user to a contact with a different email address
Returns a list of records with the specified portal_delegate_id
Searches for contacts using predefined parameters
Looks up a social profile and returns what is found to the user
Returns a contact from the system by its ID.
Returns a contact from the system by its ID.
Partially updates a contact with the specified ID.
Updates a contact with the specified ID.
Updates a contact with data merged from other contacts then signals other microservices to complete the merge
Finds all conflicting fie...
This method will load contacts, compare them, and return all fields that are in conflict
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contacts/{tenantId}/getFieldConflicts/{ids}
- https://rolodex.api.rhythmsoftware.comhttps://rolodex.api.rhythmsoftware.com/contacts/{tenantId}/getFieldConflicts/{ids}
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contacts/{tenantId}/getFieldConflicts/{ids}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
{ "conflicting_fields": [ "string" ], "contacts": [ { … } ], "organizations": [ { … } ] }